2003-05-19  Anna Marie Dirks  <anna@ximian.com>

	* e-timezone-dialog/e-timezone-dialog.glade: HIG-ified the
	spacing, padding, alignment of this dialog. Fixes bug #41148

2003-05-16  Anna Marie Dirks  <anna@ximian.com>

	* e-timezone-dialog/e-timezone-dialog.glade: HIG-ified the
	spacing, padding, alignment of this dialog. Fixes bug #41148

2003-05-14  JP Rosevear  <jpr@ximian.com>

	* menus/gal-view-menus.c (gvm_finalize): unref the component

2003-05-13  Ettore Perazzoli  <ettore@ximian.com>

	* menus/gal-view-menus.c (gal_view_menus_unmerge): Guard against
	the BonoboUIComponent not having a container to prevent a warning.

2003-04-23  Jeffrey Stedfast  <fejj@ximian.com>

	* menus/gal-view-menus.c (build_menus): Don't convert the label
	charset from UTF-8 into the locale charset.

2003-04-22  Anna Dirks  <anna@ximian.com> 

	* misc/e-multi-config-dialog.c : add appropriate padding and
	spacing to the settings dialog. Fixes #41392.

2003-04-10  Mike Kestner  <mkestner@ximian.com>

	* menus/gal-view-menus.c (build menus): add ... to "Define Views"
	and "Save Custom View" menuitem labels.

2003-03-27  Ettore Perazzoli  <ettore@ximian.com>

	* menus/gal-view-menus.c (set_state): Removed debugging message.

2003-03-18  Ettore Perazzoli  <ettore@ximian.com>

	* e-timezone-dialog/e-timezone-dialog.glade: Swap OK/Cancel
	buttons to comply with the HIG.

2003-03-17  Dan Winship  <danw@ximian.com>

	* e-timezone-dialog/e-timezone-dialog.c (on_map_motion): Don't
	crash if there's no timezone set initially. #39783

2003-03-11  Dan Winship  <danw@ximian.com>

	* e-timezone-dialog/e-timezone-dialog.c: Various cleanups.
	(e_timezone_dialog_get_timezone): Return an icaltimezone.
	(e_timezone_dialog_set_timezone): Take an icaltimezone
	(e_timezone_dialog_construct): Set a minimum size on the scrolled
	window

2003-03-06  Ettore Perazzoli  <ettore@ximian.com>

	* menus/gal-view-menus.c (gal_view_menus_unmerge): Use
	G_GNUC_FUNCTION instead of __FUNCTION__.

2003-02-20  Dan Winship  <danw@ximian.com>

	* e-timezone-dialog/Makefile.am: Make this a dynamic lib rather
	than static so it can be portably linked into the shlib
	components.

2003-02-06  Dan Winship  <danw@ximian.com>

	* e-timezone-dialog/e-timezone-dialog.glade: Set response_ids on
	the OK/Cancel buttons

2003-02-05  Dan Winship  <danw@ximian.com>

	* e-timezone-dialog/Makefile.am (INCLUDES): Remove unneeded
	MAP_DIR define.
	(gladedir): Remove. Defined in configure.in now.

	* menus/gal-view-menus.c: #include <string.h>

2003-01-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-timezone-dialog/Makefile.am (gladedir): Version using
	$(BASE_VERSION).
	(INCLUDES): Update the MAP_DIR define with versioning.

2003-01-08  Ettore Perazzoli  <ettore@ximian.com>

	* e-timezone-dialog/Makefile.am: Images are now in
	$(datadir)/evolution/images instead of
	$(datadir)/images/evolution.

2002-11-14  Chris Toshok  <toshok@ximian.com>

	* menus/gal-view-menus.c (define_views): use GtkDialog's
	::response instead of GnomeDialog's ::clicked.
	(dialog_response): use response id's.
	(gvm_finalize): fix warning.

2002-11-13  Ettore Perazzoli  <ettore@ximian.com>

	* menus/gal-view-menus.h
	* menus/gal-view-menus.c: GObjectified.

	* e-timezone-dialog/e-timezone-dialog.h
	* e-timezone-dialog/e-timezone-dialog.c: GObjectified.

2002-11-13  Ettore Perazzoli  <ettore@ximian.com>

	* e-timezone-dialog/e-timezone-dialog.c
	(e_timezone_dialog_destroy): g_object_unref() instead of
	gtk_object_unref() on the GladeXML object.
	(e_timezone_dialog_construct): Likewise on the ETimezoneDialog
	object.

2002-11-13  Ettore Perazzoli  <ettore@ximian.com>

	* e-timezone-dialog/e-timezone-dialog.glade: Converted to Glade 2.

2002-11-13  Not Zed  <NotZed@Ximian.com>

	* menus/gal-view-menus.c: gnome-xml->libxml

	* menus/gal-view-menus.h: gnome-xml->libxml

2002-11-03  Ettore Perazzoli  <ettore@ximian.com>

	* e-timezone-dialog/e-timezone-dialog.c
	(e_timezone_dialog_get_builtin_timezone): Constify arg
	display_name.

2002-11-01  Ettore Perazzoli  <ettore@ximian.com>

	* menus/gal-view-menus.c (build_stuff): Add some casts.

2002-10-30  Ettore Perazzoli  <ettore@ximian.com>

	* e-timezone-dialog/e-timezone-dialog.c
	(e_timezone_dialog_construct): Pass NULL as the domain arg to
	glade_xml_new().
	(e_timezone_dialog_get_timezone): Make arg display_name const.
	(find_selected_point): Constify local variable timezone.

	* e-timezone-dialog/e-timezone-dialog.h: Do not #include
	<libgnome/gnome-defs.h>.

2002-08-15  Mike Kestner  <mkestner@ximian.com>

	* menus/gal-view-menus.c (build_stuff): ref/unref the gvm

2002-07-09  Peter Williams  <peterw@ximian.com>

	* e-timezone-dialog/Makefile.am: Add -I$(top_builddir)/libical/src/libical;
	some headers that we rely on get installed, so they point to the ical.h that
	gets generated and installed; consequently we need to be able to find the
	generated ical.h

	* misc/Makefile.am: Install libemiscwidgets.a and its headers. However,
	break EFilterBar into a separate libefilterbar.a because we don't want
	the installed library to depend on libfilter.

2002-07-05  Ettore Perazzoli  <ettore@ximian.com>

	* e-timezone-dialog/e-timezone-dialog.c (e_timezone_dialog_init):
	Make not floating.

2002-06-04  Christopher James Lahey  <clahey@ximian.com>

	* menus/gal-view-menus.c, menus/gal-view-menus.h
	(gal_view_menus_set_show_define_views): Added this function to let
	you disable the define views dialog.

2002-06-04  Christopher James Lahey  <clahey@ximian.com>

	* menus/gal-view-menus.c (define_views): Don't show this dialog
	more than once per collection.

2002-05-14  Christopher James Lahey  <clahey@ximian.com>

	* menus/gal-view-menus.c (build_menus): Made it so that if the
	current_id doesn't match any of the given ids, it treats it the
	same as a NULL id.
	(gal_view_menus_apply): Added a check for gvm->priv == NULL here.
	(gal_view_menus_apply, collection_changed, instance_changed):
	Removed calls to set_radio after build_stuff, since the last thing
	build_stuff does is calls set_radio.

2002-02-27  Larry Ewing  <lewing@ximian.com>

	* misc/e-combo-button.c (impl_button_press_event): make a right
	click bring up the popup menu.

2002-02-07  Christopher James Lahey  <clahey@ximian.com>

	* menus/gal-view-menus.c, menus/gal-view-menus.h
	(gal_view_menus_unmerge): New function to handle unmerging menus
	at control deactivation time.
	(d): Turned off debugging output here.
	(build_menus): Gave the separators names and marked them with f=""
	to make them work better with bonobo 1.

2002-02-07  Christopher James Lahey  <clahey@ximian.com>

	* menus/gal-view-menus.c, menus/gal-view-menus.h
	(gal_view_menus_new): Made this take a GalViewInstance instead of
	a GalViewCollection.  Reworked most of this to utilize the
	interfaces provided by GalViewInstance.

2002-01-27  Ettore Perazzoli  <ettore@ximian.com>

	* menus/Makefile.am: Use `GNOME_FULL_CFLAGS'.

2002-01-11  Damon Chaplin  <damon@ximian.com>

	* e-timezone-dialog/e-timezone-dialog.[hc]: translate timezone names,
	and provide a function to get back to the English version.

2001-10-24  Jon Trowbridge  <trow@ximian.com>

	* menus/gal-view-menus.c (gal_view_menus_apply): Ref the
	BonoboUIComponent that we are holding.
	(gvm_destroy): Unref our BonoboUIComponent.

2001-10-21  Christopher James Lahey  <clahey@ximian.com>

	* menus/gal-view-menus.c: Make this not be a radio button, but
	instead just a normal menu.

2001-10-18  Jeffrey Stedfast  <fejj@ximian.com>

	* menus/gal-view-menus.c: #include bonobo-ui-util.h

2001-10-04  Rodrigo Moya <rodrigo@ximian.com>

	* misc/Makefile.am:
	* menus/Makefile.am: added BONOBO_GNOME_CFLAGS to make it compile
	with latest Bonobo

2001-09-19  JP Rosevear  <jpr@ximian.com>

	* Makefile.am: the meeting-time-sel dir is dead, relevant pieces
	moved to calendar/gui

2001-08-26  Zbigniew Chyla  <cyba@gnome.pl>

	Fixes #2465

	* menus/gal-view-menus.c (build_menus):
	Encode the label using bonobo_ui_util_encode_str and set "label"
	attribute, not "_label".
	I have no idea what the previous code was trying to do but it was
	definitely wrong.

2001-08-27  Ettore Perazzoli  <ettore@ximian.com>

	* e-timezone-dialog/e-timezone-dialog.h
	(e_timezone_dialog_reparent): New prototype here.

2001-08-27  Iain Holmes  <iain@ximian.com>

	* e-timezone-dialog/e-timezone.h: Add a prototype for 
	e_timezone_dialog_reparent

2001-08-18  Iain Holmes  <iain@ximian.com>

	* Makefile.am: Add the e-timezone-dialog dir.

	* e-timezone-dialog/*: Add new files.

2001-08-10  Christopher James Lahey  <clahey@ximian.com>

	* menus/gal-view-menus.c (build_menus): Don't display the Define
	Views dialog.

2001-07-02 Anna Marie Dirks <anna@ximian.com>

	* misc/e-filter-bar.c (option_changed): Specified a default size
	for the Advanced Search dialog such that when it first appear, it
	is large enough to view all parts of a search clause without the
	user needing to resize it.

2001-05-31  Federico Mena Quintero  <federico@ximian.com>

	* menus/gal-view-menus.c (gal_view_menus_construct): Store the
	connection ID of the "changed" signal in the collection.
	(gal_view_menus_new): Added preconditions.
	(gal_view_menus_construct): Added preconditions.

2001-05-21  Chris Toshok  <toshok@ximian.com>

	* menus/gal-view-menus.c (build_menus): make the view menuitems
	radio items of the same group, and allocate the closure here.
	(free_verbs): only need to free the one DefineViews verb here.
	(closure_free): new function - EListFreeFunc for our
	listenerClosure list.
	(remove_listeners): new function, free our listener list.
	(gvm_destroy): call remove_listeners.
	(gvm_init): init listenerClosures list.
	(toggled_cb): callback for radio items.
	(build_verbs): strip out almost all the code since there's only 1
	verb now.
	(build_stuff): call remove_listeners.

2001-05-08  Gediminas Paulauskas <menesis@delfi.lt>

	* misc/e-search-bar.c (add_dropdown), (set_option): first try to
	translate, then if not suceeded -- convert from utf8. This handles
	cases when menuitem needs to be translated (it is passed as N_()), or is
	utf8 search title. However you cannot have a search like "Folders" -- it
	is translated. Part of fix for #2253.
	
	* misc/e-filter-bar.c: d() debugging strings. Use E_FILTERBAR_ADVANCED
	macro instead of own "Advanced ..." for consistency.

2001-05-07  Gediminas Paulauskas <menesis@delfi.lt>
	
	* menus/gal-view-menus.c (build_menus): convert label to locale
	encoding. Still displays truncated strings.
	
	* menus/Makefile.am: removed -DEVOLUTION_VERSION.

2001-04-21  Gediminas Paulauskas <menesis@delfi.lt>

	* menus/gal-view-menus.c: bonobo_ui_node_set_attr expects unstranslated
	strings, so change _() to N_().

2001-04-12  Dan Winship  <danw@ximian.com>

	* menus/gal-view-menus.c (build_menus): Fix a memory leak.
	(Doesn't anyone ever change any other file in this directory? :)

2001-04-10  Gediminas Paulauskas <menesis@delfi.lt>

	* menus/gal-view-menus.c: convert label to utf8.

2001-04-04  Kjartan Maraas  <kmaraas@gnome.org>

	* menus/gal-view-menus.c: Fix headers.
	
2001-03-28  Christopher James Lahey  <clahey@ximian.com>

	* menus/gal-view-menus.c (build_menus): Don't print the xml tree
	here.

2001-03-16  Miguel de Icaza  <miguel@ximian.com>

	* menus/gal-view-menus.c (build_menus): Hook this up under the
	"ViewBegin" node.

2001-02-28  Miguel de Icaza  <miguel@ximian.com>

	* menus/gal-view-menus.c (build_menus): Add translation string
	here. 

2001-03-05  Christopher James Lahey  <clahey@ximian.com>

	* menus/gal-view-menus.c (collection_changed): Rebuild when the
	collection changes.

2001-01-27  Jason Leach  <jasonleach@usa.net>

	* cvs remove all files in shortcut-bar/, this widget is now in
	gal, will be maintained there.
	
	* Makefile.am (SUBDIRS): Remove shortcut-bar from here.

2001-01-25  Christopher James Lahey  <clahey@helixcode.com>

	* menus/gal-view-menus.c: Make this actually deploy the titles
	from the GalViewCollection and emit the display_view signals and
	such.

2001-01-22  Jon Trowbridge  <trow@gnu.org>

	* menus/gal-view-menus.c (define_views): Fixed
	gal_define_views_dialog_new to be called with its proper argument.

2000-12-06  Christopher James Lahey  <clahey@helixcode.com>

	* menus/gal-view-menus.c, menus/gal-view-menus.h: Added a
	GalViewCollection argument to the new function here.

2000-12-04  Dan Winship  <danw@helixcode.com>

	* menus/gal-view-menus.c: NULL-terminate gal_view_menus_apply's
	BonoboUIVerb array to prevent a crash. (Why are there gal* things
	in the evolution sources?)

2000-11-05  Christopher James Lahey  <clahey@helixcode.com>

	* e-paned/.cvsignore, e-table/.cvsignore, e-text/.cvsignore:
	Removed unnecessary .cvsignore files.

2000-09-18  Christopher James Lahey  <clahey@helixcode.com>

	* Makefile.am: Removed directories that have been moved to gal.

	* e-paned/.cvsignore, e-paned/Makefile.am, e-paned/e-hpaned.c,
	e-paned/e-hpaned.h, e-paned/e-paned.c, e-paned/e-paned.h,
	e-paned/e-vpaned.c, e-paned/e-vpaned.h: Moved to gal.

	* e-reflow/.cvsignore, e-reflow/Makefile.am,
	e-reflow/e-reflow-sorted.c, e-reflow/e-reflow-sorted.h,
	e-reflow/e-reflow.c, e-reflow/e-reflow.h: Moved to gal.

	* e-table/.cvsignore, e-table/ChangeLog, e-table/LICENSE,
	e-table/Makefile.am, e-table/ROADMAP.e-table, e-table/TODO,
	e-table/add-col.xpm, e-table/arrow-down.xpm, e-table/arrow-up.xpm,
	e-table/check-empty.xpm, e-table/check-filled.xpm,
	e-table/clip.png, e-table/e-cell-checkbox.c,
	e-table/e-cell-checkbox.h, e-table/e-cell-string.c,
	e-table/e-cell-text.c, e-table/e-cell-text.h,
	e-table/e-cell-toggle.c, e-table/e-cell-toggle.h,
	e-table/e-cell-tree.c, e-table/e-cell-tree.h, e-table/e-cell.c,
	e-table/e-cell.h, e-table/e-table-click-to-add.c,
	e-table/e-table-click-to-add.h, e-table/e-table-col-dnd.h,
	e-table/e-table-col.c, e-table/e-table-col.h,
	e-table/e-table-column-model.h, e-table/e-table-column.c,
	e-table/e-table-config.c, e-table/e-table-config.glade,
	e-table/e-table-config.glade.h, e-table/e-table-config.h,
	e-table/e-table-defines.h, e-table/e-table-example-1.c,
	e-table/e-table-example-2.c,
	e-table/e-table-field-chooser-dialog.c,
	e-table/e-table-field-chooser-dialog.h,
	e-table/e-table-field-chooser-item.c,
	e-table/e-table-field-chooser-item.h,
	e-table/e-table-field-chooser.c,
	e-table/e-table-field-chooser.glade,
	e-table/e-table-field-chooser.glade.h,
	e-table/e-table-field-chooser.h,
	e-table/e-table-group-container.c,
	e-table/e-table-group-container.h, e-table/e-table-group-leaf.c,
	e-table/e-table-group-leaf.h, e-table/e-table-group.c,
	e-table/e-table-group.glade, e-table/e-table-group.glade.h,
	e-table/e-table-group.h, e-table/e-table-header-item.c,
	e-table/e-table-header-item.h, e-table/e-table-header.c,
	e-table/e-table-header.h, e-table/e-table-item.c,
	e-table/e-table-item.h, e-table/e-table-model.c,
	e-table/e-table-model.h, e-table/e-table-one.c,
	e-table/e-table-one.h, e-table/e-table-scrolled.c,
	e-table/e-table-scrolled.h, e-table/e-table-selection-model.c,
	e-table/e-table-selection-model.h, e-table/e-table-simple.c,
	e-table/e-table-simple.h, e-table/e-table-size-test.c,
	e-table/e-table-sort-info.c, e-table/e-table-sort-info.h,
	e-table/e-table-sorted-variable.c,
	e-table/e-table-sorted-variable.h, e-table/e-table-sorted.c,
	e-table/e-table-sorted.h, e-table/e-table-sorter.c,
	e-table/e-table-sorter.h, e-table/e-table-subset-variable.c,
	e-table/e-table-subset-variable.h, e-table/e-table-subset.c,
	e-table/e-table-subset.h, e-table/e-table-text-model.c,
	e-table/e-table-text-model.h, e-table/e-table-tooltip.h,
	e-table/e-table-tree.h, e-table/e-table.c, e-table/e-table.h,
	e-table/e-tree-example-1.c, e-table/e-tree-example-2.c,
	e-table/e-tree-model.c, e-table/e-tree-model.h,
	e-table/e-tree-simple.c, e-table/e-tree-simple.h,
	e-table/image1.png, e-table/image2.png, e-table/image3.png,
	e-table/remove-col.xpm, e-table/sample.table,
	e-table/table-test.c, e-table/table-test.h, e-table/test-check.c,
	e-table/test-cols.c, e-table/test-table.c: Moved to gal.

	* e-text/.cvsignore, e-text/Makefile.am, e-text/e-entry-test.c,
	e-text/e-entry.c, e-text/e-entry.h,
	e-text/e-text-event-processor-emacs-like.c,
	e-text/e-text-event-processor-emacs-like.h,
	e-text/e-text-event-processor-types.h,
	e-text/e-text-event-processor.c, e-text/e-text-event-processor.h,
	e-text/e-text-model.c, e-text/e-text-model.h,
	e-text/e-text-test.c, e-text/e-text.c, e-text/e-text.h: Moved to
	gal.

2000-09-14  Michael Meeks  <michael@helixcode.com>

	* e-reflow/e-reflow-sorted.h: fix include.

2000-09-13  Christopher James Lahey  <clahey@helixcode.com>

	* Makefile.am (SUBDIRS): Added e-reflow.

	* e-reflow/e-reflow.c, e-reflow/e-reflow.h: Moved from
	addressbook/gui/minicard/.

	* e-reflow/Makefile.am, e-reflow/.cvsignore: New files for a new
	directory.

2000-09-08  Lauris Kaplinski  <lauris@helixcode.com>

	* e-text/e-text.c (calc_line_widths): Fix byte/char confusion

2000-08-30  Federico Mena Quintero  <federico@helixcode.com>

	* e-paned/e-hpaned.c (e_hpaned_motion): Do not flicker while
	trying to resize a quantized pane.

	* e-paned/e-vpaned.c (e_vpaned_motion): Likewise.

2000-08-30  Federico Mena Quintero  <federico@helixcode.com>

	* widgets/e-paned/e-vpaned.c (e_vpaned_size_allocate): Ensure that
	the child's allocation height is >= 1.

	* widgets/e-paned/e-hpaned.c (e_hpaned_size_allocate): Ensure that
	the child's allocation width is >= 1.

2000-08-30  Federico Mena Quintero  <federico@helixcode.com>

	* ChangeLog: Started a ChangeLog here.
